%define _disable_ld_no_undefined 1

%define major 12
%define libname %mklibname iptables %{major}
%define develname %mklibname -d iptables

%define iptc_develname %mklibname -d iptc

%define ipq_major 0
%define ipq_libname %mklibname ipq %{ipq_major}
%define ipq_develname %mklibname -d ipq

%define ip4tc_major 2
%define ip4tc_libname %mklibname ip4tc %{ip4tc_major}
%define ip4tc_develname %mklibname -d ip4tc

%define ip6tc_major 2
%define ip6tc_libname %mklibname ip6tc %{ip6tc_major}
%define ip6tc_develname %mklibname -d ip6tc

# install init scripts to /usr/libexec with systemd
%define script_path %{_libexecdir}

Summary:	Tools for managing Linux kernel packet filtering capabilities
Name:		iptables
Version:	1.8.9
%define subrel 2
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		https://www.netfilter.org/
Source0:	https://www.netfilter.org/projects/iptables/files/%{name}-%{version}.tar.xz
Source1:	iptables.init
Source2:	ip6tables.init
Source3:	iptables.config
Source4:	ip6tables.config
Source5:        iptables.service
Source6:        ip6tables.service
Source10:	iptables.default
Source11:	ip6tables.default
# S101 used to be in the added patches
Source101:	libipt_IFWLOG.c
# (oe) psd comes from iptables-1.3.7, was removed in iptables-1.3.8
Source102:	libipt_psd.c
Source103:	libipt_psd.man
Patch0:         iptables-1.2.8-libiptc.h.patch
Patch1:		iptables-1.8.2-dont_read_garbage.patch
Patch2:		iptables-1.8.9-fmt-string.patch
Patch101:	iptables-IFWLOG_extension.diff
Patch102:	iptables-psd.diff
Provides:	userspace-ipfilter = %{version}
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	xz
BuildRequires:	pkgconfig(libmnl) >= 1.0
BuildRequires:	pkgconfig(libnftnl) >= 1.1.6
BuildRequires:	pkgconfig(libnfnetlink)
BuildRequires:	pkgconfig(libnetfilter_conntrack) >= 1.0.4
BuildRequires:	pcap-devel
BuildRequires:	kernel-headers
Requires(post):	rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
Obsoletes:	%{name} < 1.4.3.2
Obsoletes:	%{name}-ipv6 < 1.4.1.1-0.5
Provides:	%{name}-ipv6
BuildRequires:	systemd-units
Requires(post):	initscripts
Requires(post):	sysvinit
Requires(preun): sysvinit
Requires(postun): sysvinit
Provides:	ebtables = 2.0.10.4-10
Obsoletes:	ebtables < 2.0.10.4-9
Provides:	arptables = 0.0.5-3
Obsoletes:	arptables < 0.0.5-2

%description
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

Install iptables if you need to set up firewalling for your network.

%package	nft
Summary:	NFT Packet Filter Administration utilities in the style of Xtables
Group:		System/Kernel and hardware
Conflicts:	ebtables < 2.0.10.4-9
Conflicts:	iptables < 1.8.8-2

%description	nft
The programs shipped in this subpackage behave like iptables on the
command line, but instead edit the rules of the NFT packet filter in
the Linux kernel. Linux kernel 4.2 or newer is recommended to exploit
all features.

%package -n	%{libname}
Summary:	Shared iptables library
Group:          System/Libraries
Conflicts:	%mklibname %{name} 1

%description -n	%{libname}
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

This package contains the shared iptables library.

%package -n	%{develname}
Summary:	Static library and header files for the iptables library
Group:		Development/C
Requires:	kernel-headers
Requires:	%{libname} = %{version}-%{release}
Provides:	iptables-devel = %{version}
Obsoletes:	iptables-devel < 1.4.2

%description -n	%{develname}
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

This package contains the static iptables library.


# ipq
%package -n	%{ipq_libname}
Summary:	Shared iptables library
Group:          System/Libraries
Obsoletes:	%{mklibname iptables 1} < 1.4.3.2

%description -n	%{ipq_libname}
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

This package contains the ipq library.

%package -n	%{ipq_develname}
Summary:	Static library and header files for the iptables library
Group:		Development/C
Requires:	kernel-headers
Requires:	%{ipq_libname} = %{version}-%{release}
Requires:	%{ipq_develname} = %{version}-%{release}
Provides:	iptables-ipq-devel = %{version}

%description -n	%{ipq_develname}
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

This package contains the ipq library.

#iptc
%package -n	%{iptc_develname}
Summary:	Static library and header files for the iptables library
Group:		Development/C
Requires:	kernel-headers
Provides:	iptables-iptc-devel = %{version}

%description -n	%{iptc_develname}
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

This package contains the IPTC library.

# ip4tc
%package -n	%{ip4tc_libname}
Summary:	Shared iptables library
Group:          System/Libraries
Obsoletes:	%{mklibname iptables 1} < 1.4.3.2

%description -n	%{ip4tc_libname}
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

This package contains the IP4TC library.

%package -n	%{ip4tc_develname}
Summary:	Static library and header files for the iptables library
Group:		Development/C
Requires:	kernel-headers
Requires:	%{ip4tc_libname} = %{version}-%{release}
Requires:	%{iptc_develname} = %{version}-%{release}
Provides:	iptables-ip6tc-devel = %{version}

%description -n	%{ip4tc_develname}
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

This package contains the development files for IPTC library.

# ip6tc
%package -n	%{ip6tc_libname}
Summary:	Shared iptables library
Group:          System/Libraries
Obsoletes:	%{mklibname iptables 1} < 1.4.3.2

%description -n	%{ip6tc_libname}
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

This package contains the IP6TC library.

%package -n	%{ip6tc_develname}
Summary:	Static library and header files for the iptables library
Group:		Development/C
Requires:	kernel-headers
Requires:	%{ip6tc_libname} = %{version}-%{release}
Provides:	iptables-ip6tc-devel = %{version}

%description -n	%{ip6tc_develname}
iptables controls the Linux kernel network packet filtering code. It allows you
to set up firewalls and IP masquerading, etc.

This package contains the development files for IP6TC library.

%prep

%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

# (cg) NB the name "iptables.init" is important. See note in install below
cp %{SOURCE1} iptables.init
cp %{SOURCE2} ip6tables.init
cp %{SOURCE3} iptables.sample
cp %{SOURCE4} ip6tables.sample

# fix libdir
perl -pi -e "s|\@lib\@|%{_lib}|g" iptables.init

# extensions
install -m0644 %{SOURCE101} extensions/
# (oe) psd comes from iptables-1.3.7, was removed in iptables-1.3.8
install -m0644 %{SOURCE102} extensions/
install -m0644 %{SOURCE103} extensions/

%patch101 -p0
%patch102 -p0

find . -type f | xargs perl -pi -e "s,/usr/local,%{_prefix},g"

# use the saner headers from the kernel
rm -f include/linux/{kernel,types}.h

# don't run /sbin/ldconfig
perl -pi -e "s|/sbin/ldconfig|/bin/true|g" Makefile*

%build
export LIBS="-ldl"

%serverbuild

autoreconf -fis

export CFLAGS="$CFLAGS -fPIC"
export CXXFLAGS="$CXXFLAGS -fPIC"
export FFLAGS="$FFLAGS -fPIC"

%configure \
    --bindir=/sbin \
    --sbindir=/sbin \
    --enable-devel \
    --enable-libipq \
    --enable-ipv4 \
    --enable-ipv6 \
    --with-ksource=%{_prefix}/src/linux \
    --with-xtlibdir=/%{_lib}/iptables

%make_build

## make more devel libs (debian)
#ar rcs libiptables.a iptables.o
#ar rcs libip6tables.a ip6tables.o

# hmm...
ar rcs libiptc/libiptc.a libiptc/.libs/libip4tc.o libiptc/.libs/libip6tc.o

%install
%make_install

# remove la file(s)
rm -f %{buildroot}/%{_lib}/*.la
rm -f %{buildroot}%{_libdir}/*.la

# (oe) this in conjunction with the distro initscript will make it possible
# to use development versions of the netfilter modules and with different
# api:s. (according to blino)
install -d %{buildroot}/%{_lib}/iptables.d
mv %{buildroot}/%{_lib}/iptables %{buildroot}/%{_lib}/iptables.d/linux-2.6-main

# move the shared libs
mv %{buildroot}%{_libdir}/libxtables.so.%{major}* %{buildroot}/%{_lib}/
ln -snf /%{_lib}/libxtables.so.%{major} %{buildroot}%{_libdir}/libxtables.so

mv %{buildroot}%{_libdir}/libip4tc.so.%{ip4tc_major}* %{buildroot}/%{_lib}/
ln -snf /%{_lib}/libip4tc.so.%{ip4tc_major} %{buildroot}%{_libdir}/libip4tc.so

mv %{buildroot}%{_libdir}/libip6tc.so.%{ip6tc_major}* %{buildroot}/%{_lib}/
ln -snf /%{_lib}/libip6tc.so.%{ip6tc_major} %{buildroot}%{_libdir}/libip6tc.so

# static development files
install -d %{buildroot}%{_libdir}
install -m0644 libiptc/libiptc.a %{buildroot}%{_libdir}/libiptc.a
#install -m0644 libiptables.a %{buildroot}%{_libdir}/
#install -m0644 libip6tables.a %{buildroot}%{_libdir}/

# header development files
install -d %{buildroot}%{_includedir}/{libipq,libiptc}
install -m0644 include/libipq/*.h %{buildroot}%{_includedir}/libipq/
install -m0644 include/libiptc/*.h %{buildroot}%{_includedir}/libiptc/

# iptables and netfilter development files
install -d %{buildroot}%{_includedir}/net/netfilter/
install -d %{buildroot}%{_includedir}/iptables
#install -m0644 include/net/netfilter/*.h %{buildroot}%{_includedir}/net/netfilter/
install -m0644 include/ip*tables.h %{buildroot}%{_includedir}/
install -m0644 include/iptables/internal.h %{buildroot}%{_includedir}/iptables


# (cg) NB the name "iptables.init" is important. The dracut usrmove convertfs
# module will avoid a post-merge conflict by renaming the files to match this
# naming convension. If this package is updated to change the names below,
# you should also take care to update dracut and the convertfs module accordingly.
install -d %{buildroot}%{script_path}
install -m0755 iptables.init %{buildroot}%{script_path}/
install -m0755 ip6tables.init %{buildroot}%{script_path}/
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -m0644 %{SOURCE10} %{buildroot}%{_sysconfdir}/sysconfig/iptables.default
install -m0644 %{SOURCE11} %{buildroot}%{_sysconfdir}/sysconfig/ip6tables.default

# (tmb) add compat symlinks for ip(6)tbles-multi
pushd %{buildroot}/sbin/
ln -snf xtables-nft-multi iptables-multi
ln -snf xtables-nft-multi ip6tables-multi
popd

# install systemd service files
install -d -m 755 %{buildroot}/lib/systemd/system
install -c -m 644 %{SOURCE5} %{buildroot}/lib/systemd/system/
install -c -m 644 %{SOURCE6} %{buildroot}/lib/systemd/system/
#sed -i 's!@LIBDIR@!%{_libexecdir}!' %{buildroot}/lib/systemd/system/ip6tables.service
#sed -i 's!@LIBDIR@!%{_libexecdir}!' %{buildroot}/lib/systemd/system/iptables.service

%post
%_post_service iptables
%_post_service ip6tables

%preun
%_preun_service iptables
%_preun_service ip6tables

%triggerun -- iptables < 1.4.12.1
# Autostart
/bin/systemctl --no-reload enable iptables.service >/dev/null 2>&1 ||:

# Delete from sysv management, try to restart service
/sbin/chkconfig --del iptables >/dev/null 2>&1 || :
/bin/systemctl try-restart iptables.service >/dev/null 2>&1 || :

# Autostart
/bin/systemctl --no-reload enable ip6tables.service >/dev/null 2>&1 ||:

# Delete from sysv management, try to restart service
/sbin/chkconfig --del ip6tables >/dev/null 2>&1 || :
/bin/systemctl try-restart ip6tables.service >/dev/null 2>&1 || :

%files
%defattr(-,root,root,0755)
%doc iptables.sample ip6tables.sample
%attr(0755,root,root) %{script_path}/ip*
%config %{_sysconfdir}/sysconfig/iptables.default
%config %{_sysconfdir}/sysconfig/ip6tables.default
%{_sysconfdir}/xtables.conf
/lib/systemd/system/iptables.service
/lib/systemd/system/ip6tables.service
/sbin/iptables
/sbin/iptables-apply
/sbin/iptables-multi
/sbin/iptables-restore
/sbin/iptables-save
/sbin/iptables-xml
/sbin/nfnl_osf
# ipv6
/sbin/ip6tables
/sbin/ip6tables-apply
/sbin/ip6tables-multi
/sbin/ip6tables-restore
/sbin/ip6tables-save
/sbin/arptables
/sbin/arptables-nft
/sbin/arptables-nft-restore
/sbin/arptables-nft-save
/sbin/arptables-restore
/sbin/arptables-save
/sbin/ebtables
/sbin/ebtables-nft
/sbin/ebtables-nft-restore
/sbin/ebtables-nft-save
/sbin/ebtables-restore
/sbin/ebtables-save
/sbin/ip6tables-legacy
/sbin/ip6tables-legacy-restore
/sbin/ip6tables-legacy-save
/sbin/ip6tables-nft
/sbin/ip6tables-nft-restore
/sbin/ip6tables-nft-save
/sbin/iptables-legacy
/sbin/iptables-legacy-restore
/sbin/iptables-legacy-save
/sbin/iptables-nft
/sbin/iptables-nft-restore
/sbin/iptables-nft-save
/sbin/xtables-legacy-multi
/sbin/xtables-monitor
/sbin/xtables-nft-multi
%dir /%{_lib}/iptables.d
%dir /%{_lib}/iptables.d/linux-2.6-main
/%{_lib}/iptables.d/linux-2.6-main/libarpt_mangle.so
/%{_lib}/iptables.d/linux-2.6-main/libebt_802_3.so
/%{_lib}/iptables.d/linux-2.6-main/libebt_among.so
/%{_lib}/iptables.d/linux-2.6-main/libebt_arp.so
/%{_lib}/iptables.d/linux-2.6-main/libebt_arpreply.so
/%{_lib}/iptables.d/linux-2.6-main/libebt_dnat.so
/%{_lib}/iptables.d/linux-2.6-main/libebt_ip.so
/%{_lib}/iptables.d/linux-2.6-main/libebt_ip6.so
/%{_lib}/iptables.d/linux-2.6-main/libebt_log.so
/%{_lib}/iptables.d/linux-2.6-main/libebt_mark.so
/%{_lib}/iptables.d/linux-2.6-main/libebt_mark_m.so
/%{_lib}/iptables.d/linux-2.6-main/libebt_nflog.so
/%{_lib}/iptables.d/linux-2.6-main/libebt_pkttype.so
/%{_lib}/iptables.d/linux-2.6-main/libebt_redirect.so
/%{_lib}/iptables.d/linux-2.6-main/libebt_snat.so
/%{_lib}/iptables.d/linux-2.6-main/libebt_stp.so
/%{_lib}/iptables.d/linux-2.6-main/libebt_vlan.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_ah.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_CLUSTERIP.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_ECN.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_icmp.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_IFWLOG.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_NETMAP.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_psd.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_realm.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_REJECT.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_ttl.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_TTL.so
/%{_lib}/iptables.d/linux-2.6-main/libipt_ULOG.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_AUDIT.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_addrtype.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_bpf.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_cgroup.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_CHECKSUM.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_CLASSIFY.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_cluster.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_comment.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_connbytes.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_connlabel.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_connlimit.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_connmark.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_CONNMARK.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_CONNSECMARK.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_conntrack.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_cpu.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_CT.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_dccp.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_devgroup.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_DNAT.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_dscp.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_DSCP.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_esp.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_ecn.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_hashlimit.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_helper.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_HMARK.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_IDLETIMER.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_ipcomp.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_iprange.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_ipvs.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_LED.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_length.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_limit.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_LOG.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_mac.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_mark.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_MARK.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_MASQUERADE.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_multiport.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_nfacct.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_NAT.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_NFLOG.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_NFQUEUE.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_NOTRACK.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_osf.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_owner.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_physdev.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_pkttype.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_policy.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_quota.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_rateest.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_RATEEST.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_recent.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_REDIRECT.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_rpfilter.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_sctp.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_SECMARK.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_set.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_SET.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_SNAT.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_socket.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_standard.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_state.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_statistic.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_string.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_SYNPROXY.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_tcpmss.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_TCPMSS.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_TCPOPTSTRIP.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_tcp.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_TEE.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_time.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_tos.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_TOS.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_TPROXY.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_TRACE.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_u32.so
/%{_lib}/iptables.d/linux-2.6-main/libxt_udp.so
%{_mandir}/*/arptables*
%{_mandir}/*/ebtables*
%{_mandir}/*/iptables.8.*
%{_mandir}/*/iptables-apply.8.*
%{_mandir}/*/iptables-restore.8.*
%{_mandir}/*/iptables-save.8.*
%{_mandir}/*/iptables-xml.1.*
%{_mandir}/*/iptables-extensions.8.*
%{_mandir}/*/xtables*
%{_mandir}/man8/nfnl_osf.8*
#{_mandir}/man8/nfbpf_compile.8*
%{_datadir}/xtables/iptables.xslt
%{_datadir}/xtables/pf.os
# ipv6
/%{_lib}/iptables.d/linux-2.6-main/libip6t_ah.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_dst.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_DNPT.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_eui64.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_frag.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_hbh.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_hl.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_HL.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_icmp6.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_ipv6header.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_mh.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_NETMAP.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_REJECT.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_rt.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_SNPT.so
/%{_lib}/iptables.d/linux-2.6-main/libip6t_srh.so
%{_mandir}/*/ip6tables.8.*
%{_mandir}/*/ip6tables-apply.8.*
%{_mandir}/*/ip6tables-restore.8.*
%{_mandir}/*/ip6tables-save.8.*

%files nft
%{_sysconfdir}/ethertypes
/sbin/ebtables-translate
/sbin/iptables-restore-translate
/sbin/iptables-translate
%{_mandir}/*/iptables-translate.*
%{_mandir}/*/iptables-restore-translate.*

# ipv6
/sbin/ip6tables-restore-translate
/sbin/ip6tables-translate
%{_mandir}/*/ip6tables-translate.*
%{_mandir}/*/ip6tables-restore-translate.*

%files -n %{libname}
/%{_lib}/libxtables.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*.h
%dir %{_includedir}/iptables
%{_includedir}/iptables/*.h
%{_libdir}/libxtables.so
%{_libdir}/pkgconfig/xtables.pc

%files -n %{ipq_libname}
%{_libdir}/libipq.so.%{ipq_major}{,.*}

%files -n %{ipq_develname}
%{_includedir}/libipq/*.h
%{_libdir}/pkgconfig/libipq.pc
%dir %{_includedir}/libipq
%{_libdir}/libipq.so
%{_mandir}/man3/*ipq*

%files -n %{iptc_develname}
%{_includedir}/libiptc/*.h
%dir %{_includedir}/libiptc
%{_libdir}/libiptc.*a
%{_libdir}/pkgconfig/libiptc.pc

%files -n %{ip4tc_libname}
/%{_lib}/libip4tc.so.%{ip4tc_major}{,.*}

%files -n %{ip4tc_develname}
%{_libdir}/libip4tc.so
%{_libdir}/pkgconfig/libip4tc.pc

%files -n %{ip6tc_libname}
/%{_lib}/libip6tc.so.%{ip6tc_major}{,.*}

%files -n %{ip6tc_develname}
%{_libdir}/libip6tc.so
%{_libdir}/pkgconfig/libip6tc.pc


%changelog
* Thu Nov 09 2023 mokraemer <mokraemer> 1.8.9-2.2.mga9
+ Revision: 2005368
- Fix to change iptables.service
- make iptables service fail in case the rules cannnot be restored (mga#32448)

* Thu May 04 2023 daviddavid <daviddavid> 1.8.9-2.mga9
+ Revision: 1955805
- fix owner of include dir
- do not duplicate /usr/include/libipq

* Tue Jan 17 2023 luigiwalser <luigiwalser> 1.8.9-1.mga9
+ Revision: 1934097
- add patch to fix fmt string error
- 1.8.9
- remove upstream patch 2

* Mon Jan 02 2023 mokraemer <mokraemer> 1.8.8-3.mga9
+ Revision: 1929413
- add conflict for correct upgrade due to file move

* Sun Jan 01 2023 mokraemer <mokraemer> 1.8.8-2.mga9
+ Revision: 1928571
- move man page to subpackage

* Fri May 13 2022 luigiwalser <luigiwalser> 1.8.8-1.mga9
+ Revision: 1858029
- libipulog is no more
- add patch to fix format string error
- 1.8.8

* Tue Mar 29 2022 umeabot <umeabot> 1.8.7-2.mga9
+ Revision: 1831161
- Mageia 9 Mass Rebuild

* Sat Jan 16 2021 luigiwalser <luigiwalser> 1.8.7-1.mga8
+ Revision: 1672055
- 1.8.7

* Thu Jan 14 2021 luigiwalser <luigiwalser> 1.8.6-2.mga8
+ Revision: 1671680
- also obsolete arptables

* Mon Nov 02 2020 luigiwalser <luigiwalser> 1.8.6-1.mga8
+ Revision: 1641674
- 1.8.6

* Mon Sep 21 2020 luigiwalser <luigiwalser> 1.8.5-1.mga8
+ Revision: 1629412
- 1.8.5
- upstream installs iptables-apply now
- add post-release upstream fixes via fedora

* Wed Aug 12 2020 ovitters <ovitters> 1.8.4-4.mga8
+ Revision: 1613591
- remove service file output to syslog (mga#27095)

* Sun Jun 21 2020 martinw <martinw> 1.8.4-3.mga8
+ Revision: 1598220
- add missing dependency on initscripts

* Tue Feb 18 2020 umeabot <umeabot> 1.8.4-2.mga8
+ Revision: 1541989
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Jan 03 2020 luigiwalser <luigiwalser> 1.8.4-1.mga8
+ Revision: 1475848
- libiptc shared library no longer exists
- 1.8.4
- lib4tc and lib6tc library majors are now 2
- rediff patch 0
- remove upstreamed patch 1
- add patch 1 from opensuse to fix bsc#1106751

* Mon Aug 26 2019 tmb <tmb> 1.8.2-6.mga8
+ Revision: 1432533
- fix iptables.init broken by omdv sync (mga#25360)

* Sat Jan 26 2019 wally <wally> 1.8.2-5.mga7
+ Revision: 1361026
- make possible to have iptables and iptables-nft installed at the same time

* Fri Jan 25 2019 luigiwalser <luigiwalser> 1.8.2-4.mga7
+ Revision: 1360690
- fix iptables-multi symlinks (mga#24234)

* Fri Jan 25 2019 luigiwalser <luigiwalser> 1.8.2-3.mga7
+ Revision: 1360561
- obsolete/provide ebtables
- restore IFWLOG and psd iptables modules (had been dropped in 1.8.2-1)

* Thu Jan 24 2019 tv <tv> 1.8.2-2.mga7
+ Revision: 1360523
- tell urpmi that we've a file conflict with ebtales while waiting for a fix

* Tue Jan 22 2019 luigiwalser <luigiwalser> 1.8.2-1.mga7
+ Revision: 1359175
- add patch to fix format security errors
- 1.8.2
- remove old sources and patches (from omdv)
- update libiptc.h patch (from omdv)
- remove bashisms from init scripts (from omdv)

* Sun Dec 30 2018 wally <wally> 1.6.2-3.mga7
+ Revision: 1347047
- add a small wait time for the xtables lock to ip(6)tables.init script

* Sun Dec 30 2018 luigiwalser <luigiwalser> 1.6.2-2.mga7
+ Revision: 1346816
- rebuild for libnftnl

* Sat Dec 29 2018 luigiwalser <luigiwalser> 1.6.2-1.mga7
+ Revision: 1345891
- 1.6.2

* Sun Sep 23 2018 umeabot <umeabot> 1.6.1-4.mga7
+ Revision: 1298314
- Mageia 7 Mass Rebuild

* Mon Jan 01 2018 daviddavid <daviddavid> 1.6.1-3.mga7
+ Revision: 1189031
- rebuild for new libnftnl 1.0.8

* Sun Feb 12 2017 daviddavid <daviddavid> 1.6.1-2.mga6
+ Revision: 1085790
- move some files into the -nft subpackage to fix dangling links (mga#20209)

* Sat Jan 28 2017 luigiwalser <luigiwalser> 1.6.1-1.mga6
+ Revision: 1083738
- library major is now 12
- 1.6.1

* Thu Feb 11 2016 umeabot <umeabot> 1.6.0-2.mga6
+ Revision: 954451
- Mageia 6 Mass Rebuild

* Fri Jan 15 2016 luigiwalser <luigiwalser> 1.6.0-1.mga6
+ Revision: 923207
- 1.6.0
- libxtables (libiptables subpackage) major is now 11
- BR bison, flex, xz, libmnl-devel, libnftnl-devel
- add nft subpackage
- fix files list

* Fri Oct 09 2015 blino <blino> 1.4.21-5.mga6
+ Revision: 887976
- buildrequire kernel headers only, no need for kernel devel package

* Fri Oct 02 2015 tmb <tmb> 1.4.21-4.mga6
+ Revision: 885680
- rebuild with new gcc

* Wed Oct 15 2014 umeabot <umeabot> 1.4.21-3.mga5
+ Revision: 738932
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.21-2.mga5
+ Revision: 680549
- Mageia 5 Mass Rebuild

* Sat Nov 23 2013 tmb <tmb> 1.4.21-1.mga4
+ Revision: 552631
- update filelist
- update to 1.4.21 (full kernel-3.12 support)

* Sat Oct 19 2013 umeabot <umeabot> 1.4.20-3.mga4
+ Revision: 533630
- Mageia 4 Mass Rebuild

* Mon Sep 02 2013 blino <blino> 1.4.20-2.mga4
+ Revision: 474183
- don't reset firewall rules on stop if we don't have the config file (this removed shorewall rules on package update)

* Fri Aug 23 2013 oden <oden> 1.4.20-1.mga4
+ Revision: 470335
- fix build
- 1.4.20

* Tue Jun 04 2013 tv <tv> 1.4.19.1-1.mga4
+ Revision: 437169
- new release
- drop patch 103 (now useless)
- bump library major

* Sat Jan 12 2013 umeabot <umeabot> 1.4.17-5.mga3
+ Revision: 354467
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 cjw <cjw> 1.4.17-4.mga3
+ Revision: 342901
- fix check in post script: call init script directly

* Tue Jan 08 2013 oden <oden> 1.4.17-3.mga3
+ Revision: 342836
- P103: fix build the correct way

* Sun Jan 06 2013 tmb <tmb> 1.4.17-2.mga3
+ Revision: 340313
- fix iptables not working due to libexec change (mga #8616)

* Sun Jan 06 2013 tmb <tmb> 1.4.17-1.mga3
+ Revision: 339749
- update filelists
- BR kernel -devel-latest instead of -source-latest
- BR iptables-ip6tc-devel
- update to 1.4.17

* Wed Oct 31 2012 colin <colin> 1.4.16.3-1.mga3
+ Revision: 311689
- New version: 1.4.16.3
- Support reload in systemd service file (now available in systemd v195)

* Sat Jul 21 2012 colin <colin> 1.4.12.2-3.mga3
+ Revision: 273116
- Rename the init wrapper to avoid usrmove name clash + drop sysvinit script

* Sat Apr 28 2012 tmb <tmb> 1.4.12.2-2.mga2
+ Revision: 233755
- Require rpm-helper >= 0.24.8-1 for systemd support

* Fri Jan 06 2012 tmb <tmb> 1.4.12.2-1.mga2
+ Revision: 192568
- fix build with 3.2 series headers
- update filelists
- update to 1.4.12.2
- drop defattr
+ dmorgan <dmorgan>
- Do not use systemd-sysv-convert anymore

* Fri Dec 02 2011 blino <blino> 1.4.12.1-11.mga2
+ Revision: 175267
- IFWLOG: drop intrapositional negation check (was deprecated in 1.4.3, and symbol does not exist anymore)

* Thu Dec 01 2011 dmorgan <dmorgan> 1.4.12.1-10.mga2
+ Revision: 175014
- Install files in the old location too to allow to boot w/o systemd too

* Mon Nov 21 2011 dmorgan <dmorgan> 1.4.12.1-9.mga2
+ Revision: 170173
- Remove .la files

* Mon Nov 14 2011 tmb <tmb> 1.4.12.1-8.mga2
+ Revision: 167658
- dont check for /etc/sysconfig/ip(6)tables on start as it is not installed by default

* Sun Nov 13 2011 tmb <tmb> 1.4.12.1-7.mga2
+ Revision: 167066
- BR: kernel-source-latest
- ip(6)tables.service does not need to be executable
- ip6tables.init: dont check for obsolete kernel versions

* Sat Nov 12 2011 tmb <tmb> 1.4.12.1-6.mga2
+ Revision: 167008
- fix genearation of ip6tables.service

* Sun Oct 30 2011 blino <blino> 1.4.12.1-5.mga2
+ Revision: 159892
- do not explicitely require systemd, use the more generic sysvinit requires

* Sat Oct 29 2011 dmorgan <dmorgan> 1.4.12.1-4.mga2
+ Revision: 159672
- Rebuild to push in core media

* Tue Oct 25 2011 dmorgan <dmorgan> 1.4.12.1-3.mga2
+ Revision: 158055
- Fix bash script location

* Tue Oct 25 2011 dmorgan <dmorgan> 1.4.12.1-1.mga2
+ Revision: 158049
- New version 1.4.12.1
  Add systemd support

* Sun Jun 12 2011 ahmad <ahmad> 1.4.11.1-2.mga2
+ Revision: 105314
- Move the runtime libip{4,6}tc.so.* libraries to /%%{_lib}, so that iptables in
  /sbin can use them when /usr isn't mounted yet (mga#1404)

* Thu Jun 09 2011 tmb <tmb> 1.4.11.1-1.mga2
+ Revision: 102416
- update to 1.4.11.1 (full kernel 2.6.37-39 support)
- libmajor is now 6
- add compat symlinks for ip(6)tbles-multi
- update filelists

* Sat Jan 08 2011 blino <blino> 1.4.10-3.mga1
+ Revision: 692
- update comment

* Sat Jan 08 2011 blino <blino> 1.4.10-2.mga1
+ Revision: 598
- do not use manbo tag anymore
- remove old macros
- imported package iptables

